pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: wip/jdk16 build errors

On Mon, 24 Mar 2008 16:54:39 -0400
"David Mentis" <> wrote:

> Hello,
> I'm not sure if this is the right place to post this, but I got the
> address off the site.  I attempted to build wip/jdk16 and
> got an error about getpeereid not being declared.  The build system is
> 4.0_STABLE.  Anyway, after poking around, I saw that libssh exports it
> as ssh_getpeereid, so after applying the attached patches I got it to
> build and did a quick hello world test.

That's an icky (but clever!) fix. :-)
getpeereid() is available in -current will be available in NetBSD 5.0.

Home | Main Index | Thread Index | Old Index